/* apbuild embedded metadata */
#define APBUILD_NOTE_METADATA(s)   __asm__(".section .metadata, \"MS\", @note, 1\n\t.string \"" s "\"\n\t.previous\n\t")

#ifdef APBUILD_VERSION
APBUILD_NOTE_METADATA("apbuild.version=" APBUILD_VERSION);
#endif

/* apbuild generated symbol exclusion list */
__asm__(".symver __duplocale,__duplocale@GLIBC_2.1");
__asm__(".symver fnmatch,fnmatch@GLIBC_2.0");
__asm__(".symver __freelocale,__freelocale@GLIBC_2.1");
__asm__(".symver __isalnum_l,__isalnum_l@GLIBC_2.1");
__asm__(".symver __isalpha_l,__isalpha_l@GLIBC_2.1");
__asm__(".symver __isblank_l,__isblank_l@GLIBC_2.1");
__asm__(".symver __iscntrl_l,__iscntrl_l@GLIBC_2.1");
__asm__(".symver __isdigit_l,__isdigit_l@GLIBC_2.1");
__asm__(".symver __isgraph_l,__isgraph_l@GLIBC_2.1");
__asm__(".symver __islower_l,__islower_l@GLIBC_2.1");
__asm__(".symver __isprint_l,__isprint_l@GLIBC_2.1");
__asm__(".symver __ispunct_l,__ispunct_l@GLIBC_2.1");
__asm__(".symver __isspace_l,__isspace_l@GLIBC_2.1");
__asm__(".symver __isupper_l,__isupper_l@GLIBC_2.1");
__asm__(".symver __iswalnum_l,__iswalnum_l@GLIBC_2.1");
__asm__(".symver __iswalpha_l,__iswalpha_l@GLIBC_2.1");
__asm__(".symver __iswblank_l,__iswblank_l@GLIBC_2.1");
__asm__(".symver __iswcntrl_l,__iswcntrl_l@GLIBC_2.1");
__asm__(".symver __iswctype_l,__iswctype_l@GLIBC_2.1");
__asm__(".symver __iswdigit_l,__iswdigit_l@GLIBC_2.1");
__asm__(".symver __iswgraph_l,__iswgraph_l@GLIBC_2.1");
__asm__(".symver __iswlower_l,__iswlower_l@GLIBC_2.1");
__asm__(".symver __iswprint_l,__iswprint_l@GLIBC_2.1");
__asm__(".symver __iswpunct_l,__iswpunct_l@GLIBC_2.1");
__asm__(".symver __iswspace_l,__iswspace_l@GLIBC_2.1");
__asm__(".symver __iswupper_l,__iswupper_l@GLIBC_2.1");
__asm__(".symver __iswxdigit_l,__iswxdigit_l@GLIBC_2.1");
__asm__(".symver __isxdigit_l,__isxdigit_l@GLIBC_2.1");
__asm__(".symver __newlocale,__newlocale@GLIBC_2.1");
__asm__(".symver nftw,nftw@GLIBC_2.1");
__asm__(".symver nftw64,nftw64@GLIBC_2.1");
__asm__(".symver __nl_langinfo_l,__nl_langinfo_l@GLIBC_2.2");
__asm__(".symver posix_fadvise64,posix_fadvise64@GLIBC_2.2");
__asm__(".symver posix_fallocate64,posix_fallocate64@GLIBC_2.2");
__asm__(".symver pthread_cond_broadcast,pthread_cond_broadcast@GLIBC_2.0");
__asm__(".symver pthread_cond_destroy,pthread_cond_destroy@GLIBC_2.0");
__asm__(".symver pthread_cond_init,pthread_cond_init@GLIBC_2.0");
__asm__(".symver pthread_cond_signal,pthread_cond_signal@GLIBC_2.0");
__asm__(".symver pthread_cond_timedwait,pthread_cond_timedwait@GLIBC_2.0");
__asm__(".symver pthread_cond_wait,pthread_cond_wait@GLIBC_2.0");
__asm__(".symver realpath,realpath@GLIBC_2.0");
__asm__(".symver regexec,regexec@GLIBC_2.0");
__asm__(".symver __strcasecmp_l,__strcasecmp_l@GLIBC_2.1");
__asm__(".symver __strcoll_l,__strcoll_l@GLIBC_2.1");
__asm__(".symver __strfmon_l,__strfmon_l@GLIBC_2.1");
__asm__(".symver __strncasecmp_l,__strncasecmp_l@GLIBC_2.1");
__asm__(".symver __strtod_l,__strtod_l@GLIBC_2.1");
__asm__(".symver __strtof_l,__strtof_l@GLIBC_2.1");
__asm__(".symver __strtold_l,__strtold_l@GLIBC_2.1");
__asm__(".symver __strtol_l,__strtol_l@GLIBC_2.1");
__asm__(".symver __strtoll_l,__strtoll_l@GLIBC_2.1");
__asm__(".symver __strtoul_l,__strtoul_l@GLIBC_2.1");
__asm__(".symver __strtoull_l,__strtoull_l@GLIBC_2.1");
__asm__(".symver __strxfrm_l,__strxfrm_l@GLIBC_2.1");
__asm__(".symver _sys_errlist,_sys_errlist@GLIBC_2.0");
__asm__(".symver sys_errlist,sys_errlist@GLIBC_2.0");
__asm__(".symver _sys_nerr,_sys_nerr@GLIBC_2.0");
__asm__(".symver sys_nerr,sys_nerr@GLIBC_2.0");
__asm__(".symver sys_sigabbrev,sys_sigabbrev@GLIBC_2.0");
__asm__(".symver _sys_siglist,_sys_siglist@GLIBC_2.0");
__asm__(".symver sys_siglist,sys_siglist@GLIBC_2.0");
__asm__(".symver __tolower_l,__tolower_l@GLIBC_2.1");
__asm__(".symver __toupper_l,__toupper_l@GLIBC_2.1");
__asm__(".symver __towctrans_l,__towctrans_l@GLIBC_2.1");
__asm__(".symver __towlower_l,__towlower_l@GLIBC_2.1");
__asm__(".symver __towupper_l,__towupper_l@GLIBC_2.1");
__asm__(".symver vm86,vm86@GLIBC_2.0");
__asm__(".symver __wcscasecmp_l,__wcscasecmp_l@GLIBC_2.1");
__asm__(".symver __wcscoll_l,__wcscoll_l@GLIBC_2.1");
__asm__(".symver __wcsncasecmp_l,__wcsncasecmp_l@GLIBC_2.1");
__asm__(".symver __wcstod_l,__wcstod_l@GLIBC_2.1");
__asm__(".symver __wcstof_l,__wcstof_l@GLIBC_2.1");
__asm__(".symver __wcstold_l,__wcstold_l@GLIBC_2.1");
__asm__(".symver __wcstol_l,__wcstol_l@GLIBC_2.1");
__asm__(".symver __wcstoll_l,__wcstoll_l@GLIBC_2.1");
__asm__(".symver __wcstoul_l,__wcstoul_l@GLIBC_2.1");
__asm__(".symver __wcstoull_l,__wcstoull_l@GLIBC_2.1");
__asm__(".symver __wcsxfrm_l,__wcsxfrm_l@GLIBC_2.1");
__asm__(".symver __wctrans_l,__wctrans_l@GLIBC_2.2");
__asm__(".symver __wctype_l,__wctype_l@GLIBC_2.1");
__asm__(".symver __tls_get_addr,__tls_get_addr@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver ___tls_get_addr,___tls_get_addr@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver gai_error,gai_error@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver getaddrinfo_a,getaddrinfo_a@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver gai_suspend,gai_suspend@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver gai_cancel,gai_cancel@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver inet6_option_alloc,inet6_option_alloc@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __strcpy_chk,__strcpy_chk@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver llistxattr,llistxattr@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver setipv4sourcefilter,setipv4sourcefilter@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __strcat_chk,__strcat_chk@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver epoll_wait,epoll_wait@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver lsetxattr,lsetxattr@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver fgetxattr,fgetxattr@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __nss_hostname_digits_dots,__nss_hostname_digits_dots@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver inet6_option_init,inet6_option_init@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver lremovexattr,lremovexattr@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __xpg_strerror_r,__xpg_strerror_r@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver inet6_option_find,inet6_option_find@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __fprintf_chk,__fprintf_chk@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver gnu_dev_major,gnu_dev_major@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver sockatmark,sockatmark@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __rpc_thread_svc_max_pollfd,__rpc_thread_svc_max_pollfd@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __strftime_l,__strftime_l@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver pivot_root,pivot_root@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver sprofil,sprofil@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver xdr_quad_t,xdr_quad_t@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver gnu_dev_minor,gnu_dev_minor@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver posix_openpt,posix_openpt@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver epoll_ctl,epoll_ctl@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver inet6_option_append,inet6_option_append@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver strptime_l,strptime_l@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __stpcpy_chk,__stpcpy_chk@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __isctype,__isctype@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __strncat_chk,__strncat_chk@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __ctype_tolower_loc,__ctype_tolower_loc@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __uselocale,__uselocale@GLIBC_DONT_USE_THIS_SYMBOL");

__asm__(".symver getsourcefilter,getsourcefilter@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver setsourcefilter,setsourcefilter@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver readahead,readahead@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __printf_chk,__printf_chk@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __nanosleep,__nanosleep@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __chk_fail,__chk_fail@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver fremovexattr,fremovexattr@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver lchmod,lchmod@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __register_atfork,__register_atfork@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver epoll_create,epoll_create@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver getipv4sourcefilter,getipv4sourcefilter@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __gets_chk,__gets_chk@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __vprintf_chk,__vprintf_chk@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver sched_getaffinity,sched_getaffinity@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __memmove_chk,__memmove_chk@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __vsprintf_chk,__vsprintf_chk@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __rpc_thread_svc_pollfd,__rpc_thread_svc_pollfd@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __snprintf_chk,__snprintf_chk@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver lgetxattr,lgetxattr@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __vfprintf_chk,__vfprintf_chk@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __memcpy_chk,__memcpy_chk@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver getgrouplist,getgrouplist@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver wcsftime_l,wcsftime_l@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver xdr_u_quad_t,xdr_u_quad_t@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver sched_setaffinity,sched_setaffinity@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __rpc_thread_svc_fdset,__rpc_thread_svc_fdset@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver futimes,futimes@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __wcsftime_l,__wcsftime_l@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver getifaddrs,getifaddrs@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __strncpy_chk,__strncpy_chk@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __ctype_b_loc,__ctype_b_loc@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver freeifaddrs,freeifaddrs@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver remap_file_pages,remap_file_pages@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver lutimes,lutimes@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver sendfile64,sendfile64@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __rpc_thread_createerr,__rpc_thread_createerr@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __sprintf_chk,__sprintf_chk@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver inet6_option_next,inet6_option_next@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver flistxattr,flistxattr@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver gnu_dev_makedev,gnu_dev_makedev@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __vsnprintf_chk,__vsnprintf_chk@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __ctype_toupper_loc,__ctype_toupper_loc@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver fsetxattr,fsetxattr@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __mempcpy_chk,__mempcpy_chk@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver inet6_option_space,inet6_option_space@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver semtimedop,semtimedop@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __memset_chk,__memset_chk@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver dlinfo,dlinfo@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver dlmopen,dlmopen@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver dladdr1,dladdr1@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver pthread_tryjoin_np,pthread_tryjoin_np@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver pthread_barrierattr_getpshared,pthread_barrierattr_getpshared@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver pthread_condattr_getclock,pthread_condattr_getclock@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver pthread_condattr_setclock,pthread_condattr_setclock@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __pthread_unwind_next,__pthread_unwind_next@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver pthread_setaffinity_np,pthread_setaffinity_np@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver pthread_timedjoin_np,pthread_timedjoin_np@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver pthread_getattr_np,pthread_getattr_np@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __pthread_unregister_cancel,__pthread_unregister_cancel@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __pthread_register_cancel_defer,__pthread_register_cancel_defer@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver pthread_getaffinity_np,pthread_getaffinity_np@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver pthread_attr_getaffinity_np,pthread_attr_getaffinity_np@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver pthread_setschedprio,pthread_setschedprio@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __pthread_unregister_cancel_restore,__pthread_unregister_cancel_restore@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __pthread_cleanup_routine,__pthread_cleanup_routine@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver pthread_attr_setaffinity_np,pthread_attr_setaffinity_np@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver __p_rcode,__p_rcode@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver mq_setattr,mq_setattr@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver mq_timedreceive,mq_timedreceive@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver mq_close,mq_close@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver mq_receive,mq_receive@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver mq_getattr,mq_getattr@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver mq_send,mq_send@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver mq_unlink,mq_unlink@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver mq_timedsend,mq_timedsend@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver mq_open,mq_open@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver mq_notify,mq_notify@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver td_thr_tls_get_addr,td_thr_tls_get_addr@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver td_symbol_list,td_symbol_list@GLIBC_DONT_USE_THIS_SYMBOL");
__asm__(".symver td_thr_tlsbase,td_thr_tlsbase@GLIBC_DONT_USE_THIS_SYMBOL");

/* apbuild version 2.0.1 */
